Delete Sender ID
curl --request DELETE \
--url https://api.example.com/api/v2/SenderIdimport requests
url = "https://api.example.com/api/v2/SenderId"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v2/SenderId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ErrorCode": 123,
"ErrorDescription": "<string>",
"Data": "<string>"
}Sender ID Management
Delete Sender ID
Delete an existing sender ID
Delete Sender ID
curl --request DELETE \
--url https://api.example.com/api/v2/SenderIdimport requests
url = "https://api.example.com/api/v2/SenderId"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v2/SenderId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ErrorCode": 123,
"ErrorDescription": "<string>",
"Data": "<string>"
}Delete Sender ID
Delete an existing sender ID from your account.This action cannot be undone. The sender ID will be permanently removed and cannot be used for future messages.
curl -X DELETE "https://app.notify.ng/api/v2/SenderId?ApiKey=YOUR_API_KEY&ClientId=YOUR_CLIENT_ID&id=94"
const params = new URLSearchParams({
ApiKey: 'YOUR_API_KEY',
ClientId: 'YOUR_CLIENT_ID',
id: '94'
});
const response = await fetch(`https://app.notify.ng/api/v2/SenderId?${params}`, {
method: 'DELETE'
});
const data = await response.json();
console.log(data);
import requests
url = "https://app.notify.ng/api/v2/SenderId"
params = {
"ApiKey": "YOUR_API_KEY",
"ClientId": "YOUR_CLIENT_ID",
"id": 94
}
response = requests.delete(url, params=params)
result = response.json()
print(result)
Parameters
string
required
Your API key for authentication
string
required
Your client identifier for authentication
number
required
ID of the sender ID to delete
Response
number
Error code (0 for success)
string
Description of the result
string
Success message
Success Response
{
"ErrorCode": 0,
"ErrorDescription": "Success",
"Data": "SenderId deleted Successfully."
}
Error Response
{
"ErrorCode": 028,
"ErrorDescription": "Can not be found"
}
Use Cases
- Cleanup: Remove unused or outdated sender IDs
- Account management: Clean up sender ID list
- Compliance: Remove sender IDs that are no longer needed

